Bug 248870 - games/megaglest: Fails to link with new default -fno-common option (LLVM 11)
Summary: games/megaglest: Fails to link with new default -fno-common option (LLVM 11)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kyle Evans
URL:
Keywords: needs-qa
Depends on:
Blocks: 248756
  Show dependency treegraph
 
Reported: 2020-08-24 08:43 UTC by Thibault Payet
Modified: 2020-08-29 02:26 UTC (History)
2 users (show)

See Also:
kevans: merge-quarterly+


Attachments
apply fixes from issue 197 (2.25 KB, patch)
2020-08-25 07:46 UTC, Thibault Payet
monwarez: maintainer-approval+
Details | Diff
apply fixes from issue 197 (3.55 KB, patch)
2020-08-25 08:00 UTC, Thibault Payet
monwarez: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Payet 2020-08-24 08:43:50 UTC
MegaGlest fails to link due to duplicate symbol, I posted an issue on their repository to get their feedback about the issue.

https://github.com/MegaGlest/megaglest-source/issues/200
Comment 1 Thibault Payet 2020-08-25 07:46:57 UTC
Created attachment 217513 [details]
apply fixes from issue 197

There was an existing issue with gcc 10, the patch come from https://github.com/MegaGlest/megaglest-source/issues/197

which is commit 5a35205

The build run fine with default clang, I don't have llvm11 setup to test it,
so it's need qa
Comment 2 Thibault Payet 2020-08-25 08:00:24 UTC
Created attachment 217514 [details]
apply fixes from issue 197

I forget to add a second patch file
Comment 3 commit-hook freebsd_committer 2020-08-29 02:22:19 UTC
A commit references this bug:

Author: kevans
Date: Sat Aug 29 02:21:47 UTC 2020
New revision: 546865
URL: https://svnweb.freebsd.org/changeset/ports/546865

Log:
  games/megaglest: fix build with LLVM 11

  The fallout here is due to the new -fno-common default in GCC 10 / LLVM 11.

  PR:		248870
  Obtained from:	https://github.com/MegaGlest/megaglest-source/issues/197
  MFH:		2020Q3 (-fno-common build fix)

Changes:
  head/games/megaglest/files/patch-source_shared__lib_include_feathery__ftp_ftpTypes.h
  head/games/megaglest/files/patch-source_shared__lib_sources_feathery__ftp_ftpRuntime.c
Comment 4 Kyle Evans freebsd_committer 2020-08-29 02:26:00 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2020-08-29 02:26:22 UTC
A commit references this bug:

Author: kevans
Date: Sat Aug 29 02:25:39 UTC 2020
New revision: 546867
URL: https://svnweb.freebsd.org/changeset/ports/546867

Log:
  MFH: r546865

  games/megaglest: fix build with LLVM 11

  The fallout here is due to the new -fno-common default in GCC 10 / LLVM 11.

  PR:		248870
  Obtained from:	https://github.com/MegaGlest/megaglest-source/issues/197

  Approved by:	ports-secteam (-fno-common build fix)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/games/megaglest/files/patch-source_shared__lib_include_feathery__ftp_ftpTypes.h
  branches/2020Q3/games/megaglest/files/patch-source_shared__lib_sources_feathery__ftp_ftpRuntime.c